function y = perform_soft_thresholding(x,n,tau1,tau2)

% perform_soft_thresholding - soft thresholding
%
%   y = perform_soft_thresholding(x, tau);
%
%   y = prox_{tau*|.|_1}(x) = max(0,1-tau/|x|)*x
%
%   Proximal operator for the scalar L1 norm.
%
%  the weights of the first n elements and the remaining are tau1 and tau2 respectively 
%
%   Copyright (c) 2010 Gabriel Peyre
tau=[tau1*ones(1,n) tau2*ones(1,length(x)-n)]';
y = max(0,1-tau./max(abs(x),1e-10)).*x;
