function PreProcess(dataRoot,referenceMesh)
%read files
addpath fileoperation;
global R; % shape repository
global referenceShape;
Files=dir(fullfile(dataRoot, '*.off'));
NumberofFiles=length(Files);
if (length(who('referenceMesh'))<=0)
    referenceMesh=[dataRoot '/' Files(1).name];
end
[Face referenceShape status]=readoff(referenceMesh);
[VertexNum Dim]=size(referenceShape);
VectorLength=VertexNum*Dim;
R=zeros(VectorLength,NumberofFiles);

% procrustes transform
for i = 1:NumberofFiles;
    [tempF tempShape status]=readoff([dataRoot '/' Files(i).name]);
    [d1,alignedShape,transform] = procrustes(referenceShape,tempShape);
    R(:,i)=reshape(alignedShape',VectorLength,1);
end