function [R Face]=GetRepository(trainingSamplesFolder,referenceIndex)
%read files
Files=dir(fullfile(trainingSamplesFolder, '*.off'));
NumberofFiles=length(Files);
[Face referenceX status]=readoff([trainingSamplesFolder '/' Files(referenceIndex).name]);
[VertexNum Dim]=size(referenceX);
VectorLength=VertexNum*Dim;
R=zeros(VectorLength,NumberofFiles);
R(:,referenceIndex)=reshape(referenceX',VectorLength,1);

% procrustes transform
for i = 1:NumberofFiles;
    if(i~=referenceIndex)
        [tempF tempX status]=readoff([trainingSamplesFolder '/' Files(i).name]);
        [d1,alignedX,transform] = procrustes(referenceX,tempX);
        R(:,i)=reshape(alignedX',VectorLength,1);
    end
end